WP Smush causing 500 Internal Server Error

Everytime I activate Smoosh it gives me a 500 error code and I cant log in to my WP.
I see the following errors in debug.log
[06-Feb-2018 09:43:10 UTC] PHP Warning: require(****/wp-content/install.php): failed to open stream: Permission denied in ****/wp-admin/includes/upgrade.php on line 13
[06-Feb-2018 09:43:10 UTC] PHP Fatal error: require(): Failed opening required '****/wp-content/install.php' (include_path='.:disappointed:usr/local/php5_6/lib/php') in ****/wp-admin/includes/upgrade.php on line 13

Godaddy told me that it's not possible to change the file permissions for install.php, is there any other way to resolve the issue?

Please, don't make any changes on my site withour my approval.